import { Plugin } from '../plugin';
import { Interaction, InteractionId } from './interaction';
import { InteractionInitializer } from './interaction-initializer';
import { InteractionLayerBuilder } from './interaction-layer-builder';
import { InteractionManager } from './interaction-manager';
export type InteractionPluginParams = {
    interactions?: Interaction[];
    interactionId?: InteractionId;
};
export declare class InteractionPlugin extends Plugin<InteractionPluginParams> {
    protected initializers: (typeof InteractionInitializer)[];
    protected layerBuilders: (typeof InteractionLayerBuilder)[];
    private _interactionManager?;
    private interactionSidebarItem;
    get interactionManager(): InteractionManager | undefined;
    get storage(): import('../storage').StorageService<Partial<{
        [key: string]: any;
        scroll?: import('../..').ScrollMode;
        spread?: import('../..').SpreadMode;
        rotation?: number;
        page?: number;
        scale?: number | string;
        scrollTop?: number;
        scrollLeft?: number;
    }>> | undefined;
    get sidebarManager(): import('../sidebar').SidebarManager | undefined;
    get informationManager(): import('../information').InformationManager | undefined;
    protected init(): void;
    protected onLoad(): void;
    protected destroy(): void;
}
